| Disk ARchive 2.7.19 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Namespaces | Typedefs
proto_tronco.hpp File Reference
Private

defines common interface for tronconneuse and parallel_tronconneuse More...

`#include "../my_config.h"`
`#include <string>`
`#include "infinint.hpp"`
`#include "integers.hpp"`
`#include "generic_file.hpp"`
`#include "archive_version.hpp"`

Go to the source code of this file.

## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Typedefs
typedef infinint(* | libdar::trailing_clear_data_callback) (generic_file &below, const archive_version &reading_ver)
| the trailing_clear_data_callback call back is a mean by which the upper layer cat tell when encrypted data ends

## Detailed Description

defines common interface for tronconneuse and parallel_tronconneuse

Definition in file proto_tronco.hpp.